Page MenuHomePhabricator

Move Bundler Jenkins jobs to Nodepool instances
Closed, ResolvedPublic

Related Objects

Event Timeline

zeljkofilipin claimed this task.
zeljkofilipin raised the priority of this task from to Normal.
zeljkofilipin updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 8:25 AM
hashar added a comment.Oct 7 2015, 8:30 AM

The Nodepool Jessie instances have ruby2.1 and bundler 1.7.4.

We can create a new job template bundle-{bundlecommand}-jessie , will need a different builder macro because the current one install bundler from gem and uses gem2.0. So should be something like:

ruby --version
gem --version
bundle --version
bundle install
bundle exec {bundlecommand}

Then we can generate generic jobs for rubocop, yard ... Add it to the mediawiki/vagrant repository as an experimental job and see what happens.

Once happy, we can process migrating all the bundle jobs.

zeljkofilipin renamed this task from Move bundler Jenkins jobs to nodepool instances to Move Bundler Jenkins jobs to Nodepool instances.Oct 13 2015, 12:50 PM
zeljkofilipin set Security to None.

Change 245875 had a related patch set uploaded (by Zfilipin):
WIP Move Bundler Jenkins jobs to Nodepool instances

https://gerrit.wikimedia.org/r/245875

The job should be named something like rake-jessie.

Change 246194 had a related patch set uploaded (by Hashar):
Run various commands via rake in the bundler env

https://gerrit.wikimedia.org/r/246194

Change 245875 merged by jenkins-bot:
Run bundle exec rake test on Nodepool Jessie instances.

https://gerrit.wikimedia.org/r/245875

Change 246239 had a related patch set uploaded (by Hashar):
Instruct bundler to install under vendor/bundle

https://gerrit.wikimedia.org/r/246239

Change 246239 merged by jenkins-bot:
Instruct bundler to install under vendor/bundle

https://gerrit.wikimedia.org/r/246239

Change 246268 had a related patch set uploaded (by Hashar):
Add experimental rake-jessie to a bunch of repos

https://gerrit.wikimedia.org/r/246268

Change 246268 merged by jenkins-bot:
Add experimental rake-jessie to a bunch of repos

https://gerrit.wikimedia.org/r/246268

Change 249113 had a related patch set uploaded (by Hashar):
Switch mediawiki/vagrant to use rake/Nodepool

https://gerrit.wikimedia.org/r/249113

Change 249113 merged by jenkins-bot:
Switch mediawiki/vagrant to use rake/Nodepool

https://gerrit.wikimedia.org/r/249113

Change 246194 merged by jenkins-bot:
Run various commands via rake in the bundler env

https://gerrit.wikimedia.org/r/246194

From T104024 the entry point is described at https://www.mediawiki.org/wiki/Continuous_integration/Entry_points#Ruby

mediawiki/vagrant is migrated

zeljkofilipin removed zeljkofilipin as the assignee of this task.Nov 2 2015, 12:49 PM
zeljkofilipin moved this task from In progress to Backlog on the Continuous-Integration-Config board.
zeljkofilipin removed a project: Patch-For-Review.

Change 251979 had a related patch set uploaded (by Zfilipin):
Run Ruby jobs using Rake

https://gerrit.wikimedia.org/r/251979

Change 251979 merged by jenkins-bot:
Run Ruby jobs using Rake

https://gerrit.wikimedia.org/r/251979

Change 252689 had a related patch set uploaded (by Zfilipin):
Added rake-jessie job to test and gate-and-submit pipelines for operations/puppet repository

https://gerrit.wikimedia.org/r/252689

Change 252690 had a related patch set uploaded (by Zfilipin):
Run Ruby jobs using Rake

https://gerrit.wikimedia.org/r/252690

Change 253343 had a related patch set uploaded (by Zfilipin):
Run Ruby jobs using Rake

https://gerrit.wikimedia.org/r/253343

Change 252690 merged by jenkins-bot:
Run Ruby jobs using Rake

https://gerrit.wikimedia.org/r/252690

Change 253858 had a related patch set uploaded (by Hashar):
Run Ruby jobs using Rake

https://gerrit.wikimedia.org/r/253858

Change 253858 merged by jenkins-bot:
Run Ruby jobs using Rake

https://gerrit.wikimedia.org/r/253858

Change 253343 merged by jenkins-bot:
Run Ruby jobs using Rake for mediawiki/core

https://gerrit.wikimedia.org/r/253343

Change 252689 merged by jenkins-bot:
[puppet] Add rake-jessie job to test

https://gerrit.wikimedia.org/r/252689

We talked about it during the CI weekly meeting. It is pretty much done, the last repos to migrate were operations/puppet and mediawiki/core ones (Zeljko aced them).

What would be idea is to migrate the publish jobs (for doc.wikimedia.org) which still use permanent slaves. But that is probably a different can of worms to open. I am not sure how to handle credentials to sync from Nodepool instances to the production machine that hosts doc.wikimedia.org. But I digress.

I would mark this task as solved. @zeljkofilipin agree?

greg closed this task as Resolved.Dec 3 2015, 6:56 PM

From Zeljko in our 1:1: all ruby/bundler jobs moved except the selenium ones (they have more complex dependencies). That sounds good enough for me on this task, we can create another one for those.